# - Try to find QPolicyKit
# Once done this will define
#
#  QPOLICYKIT_FOUND - system has QPackageKit
#  QPOLICYKIT_INCLUDE_DIR - the QPackageKit include directory
#  QPOLICYKIT_LIB - Link these to use QPackageKit
#  QPOLICYKIT_DEFINITIONS - Compiler switches required for using QPackageKit

# Copyright (c) 2008, Adrien Bustany, <madcat@mymadcat.com>
# Copyright (c) 2009, Daniel Nicoletti, <dantti85-pk@yahoo.com.br>
#
# Redistribution and use is allowed according to the terms of the GPLv2+ license.

IF (QPOLICYKIT_INCLUDE_DIR AND QPOLICYKIT_LIB)
    SET(QPOLICYKIT_FIND_QUIETLY TRUE)
ENDIF (QPOLICYKIT_INCLUDE_DIR AND QPOLICYKIT_LIB)

# FIND_PATH( QPOLICYKIT_INCLUDE_DIR PolicyKit/policykit-qt/QPackageKit )
FIND_PATH( QPOLICYKIT_INCLUDE_DIR PolicyKit/policykit-qt/ )

FIND_LIBRARY( QPOLICYKIT_LIB NAMES policykit-qt )

IF (QPOLICYKIT_INCLUDE_DIR AND QPOLICYKIT_LIB)
   SET(QPOLICYKIT_FOUND TRUE)
ELSE (QPOLICYKIT_INCLUDE_DIR AND QPOLICYKIT_LIB)
   SET(QPOLICYKIT_FOUND FALSE)
ENDIF (QPOLICYKIT_INCLUDE_DIR AND QPOLICYKIT_LIB)

SET(QPOLICYKIT_INCLUDE_DIR ${QPOLICYKIT_INCLUDE_DIR}/PolicyKit/policykit-qt)

IF (QPOLICYKIT_FOUND)
  IF (NOT QPOLICYKIT_FIND_QUIETLY)
    MESSAGE(STATUS "Found QPolicyKit: ${QPOLICYKIT_LIB}")
  ENDIF (NOT QPOLICYKIT_FIND_QUIETLY)
ELSE (QPOLICYKIT_FOUND)
  IF (QPOLICYKIT_FIND_REQUIRED)
    MESSAGE(FATAL_ERROR "Could NOT find QPolicyKit")
  ENDIF (QPOLICYKIT_FIND_REQUIRED)
ENDIF (QPOLICYKIT_FOUND)

MARK_AS_ADVANCED(QPOLICYKIT_INCLUDE_DIR QPOLICYKIT_LIB)

